import * as plugins from '../plugins.js';

export interface IChat {
  systemMessage: string;
  messages: {
    role: 'assistant' | 'user';
    content: string;
  }[];
}

export interface IReq_Chat extends plugins.typedrequestInterfaces.implementsTR<
  plugins.typedrequestInterfaces.ITypedRequest,
  IReq_Chat
>  {
  method: 'chat',
  request: {
    chat: IChat;
  };
  response: {
    chat: IChat;
    latestMessage: string;
  }
}