import * as plugins from '../plugins.js';
import * as userInterfaces from '../data/user.js'

// ========
// IDENTITY
// ========

/**
 * get the identity that then will be used to get the config
 */
export interface IRequest_Any_Cloudly_CoreflowManager_GetIdentityByToken
extends plugins.typedrequestInterfaces.implementsTR<
  plugins.typedrequestInterfaces.ITypedRequest,
  IRequest_Any_Cloudly_CoreflowManager_GetIdentityByToken
> {
  method: 'getIdentityByToken';
  request: {
    token: string;
  };
  response: {
    identity: userInterfaces.IIdentity;
  };
}
